{% extends 'base.html.twig' %}

{% block title %}
	{% include 'page/blocs/bloc-meta-title.html.twig' %}
{% endblock %}

{% block metaDescription %}
	{% include 'page/blocs/bloc-meta-description.html.twig' %}
{% endblock %}

{% block canonical %}{{ page is defined and page is not null ? getCanonicalUrlWithLink(page) : '' }}{% endblock %}

{% block body %}
    <div class="page-detail">
        {% if page is defined and page is not null %}
            {% if page.banner is not null and page.banner != '' %}
                {% include 'page/elements/_banner.html.twig' with {page: page} %}
            {% endif %}

            <div class="container pt-3">
                {% include 'page/elements/_page-name.html.twig' with {'page': page} %}
                
                {% if page.description %}
                    {% include 'page/elements/_page-description.html.twig' with {'page': page} %}
                {% endif %}

                {% if page.contentPrimary %}
                    {% include 'page/elements/_page-contentPrimary.html.twig' with {'page': page} %}
                {% endif %}
                
                <div class="mb-3 container">
                    <a class="btn btn-primary text-white" href="{{ app.request.headers.get('referer') }}">{{'form.privacy_policy.accepted'|trans}}</a>
                </div>
            </div>
        {% else %}
            {% include 'page/404.html.twig' %}
        {% endif %}
    </div>
{% endblock %}